Subject: Re: [PATCH 2/3] SubmittingPatches: replace discussion of Travis with GitHub Actions

From: Junio C Hamano <[email-masked]>
Date: Thu, 13 May 2021 07:40:13 +0900

Ævar Arnfjörð Bjarmason  <[email-masked]> writes:

> -If you have an account at GitHub (and you can get one for free to work
> -on open source projects), you can use their Travis CI integration to
> -test your changes on Linux, Mac (and hopefully soon Windows).  See
> -GitHub-Travis CI hints section for details.
> +If you have an account at GitHub pushing to a fork of
> +https://github.com/git/git will use their CI integration to test your
> +changes on Linux, Mac and Windows. See the GitHub CI section for details.

s/If you have an account at GitHub pushing/Pushing/

Whether pushing to a fork is possible is not even need to be said
with "If you have an account" here, as you begin the "GitHub CI"
section with "With an account at GitHub".

    Side note: I initially started to point out the lack of comma
    before "pushing", but after re-reading the paragraph, realized
    that the part before that missing comma is better left out.

> @@ -451,12 +450,12 @@ their trees themselves.
>    the status of various proposed changes.
>  
>  [[travis]]
> -== GitHub-Travis CI hints
> +== GitHub CI
>  
> -With an account at GitHub (you can get one for free to work on open
> -source projects), you can use Travis CI to test your changes on Linux,
> -Mac (and hopefully soon Windows).  You can find a successful example
> -test build here: https://travis-ci.org/git/git/builds/120473209
> +With an account at GitHub you can use GitHub CI to test your changes

Here, insert comma before "you can use".

> +on Linux, Mac and Windows. See
> +https://github.com/git/git/actions/workflows/main.yml for examples of
> +recent CI runs.

Thanks.